## r-cran-ncdfgeom 1.1.1

=== DESCRIPTION ===
Package: ncdfgeom
Type: Package
Title: 'NetCDF' Geometry and Time Series
Version: 1.1.1
Date: 2021-04-22
Authors@R: c(person("David", "Blodgett", role = c("aut", "cre"), 
                    email = "dblodgett@usgs.gov"),
             person("Luke", "Winslow", role = "ctb"))
Description: Tools to create time series and geometry 'NetCDF' files.
URL: https://code.usgs.gov/water/ncdfgeom
BugReports: https://github.com/USGS-R/ncdfgeom/issues
Imports: RNetCDF, ncmeta, sf, dplyr, methods
Depends: R (>= 3.5)
Suggests: testthat, knitr, rmarkdown, pkgdown, sp, geoknife, ncdf4,
        jsonlite
License: CC0
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-04-23 11:34:39 UTC; dblodgett
Author: David Blodgett [aut, cre],
  Luke Winslow [ctb]
Maintainer: David Blodgett <dblodgett@usgs.gov>
Repository: CRAN
Date/Publication: 2021-04-23 11:50:02 UTC

## r-cran-ncdfgeom 1.1.0

=== debian/changelog ===
r-cran-ncdfgeom (1.1.0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 09:29:07 +0200

r-cran-ncdfgeom (1.1.0-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 25 Dec 2019 21:20:31 +0100

r-cran-ncdfgeom (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #944746)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 19:02:15 +0100

=== debian/control ===
Source: r-cran-ncdfgeom
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rnetcdf,
               r-cran-ncmeta,
               r-cran-sf,
               r-cran-dplyr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom.git
Homepage: https://cran.r-project.org/package=ncdfgeom
Rules-Requires-Root: no

Package: r-cran-ncdfgeom
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R NetCDF geometry and time series
 Ncdfgeom is intended to write spatial geometries, their attributes, and
 timeseries data (that would typically be stored in two or more files) into
 a single file. The package provides functions to read and write NetCDF-CF
 Discrete Sampling Geometries point and timeseries feature types as well as
 NetCDF-CF spatial geometries. These utilities are meant to be general, but
 were designed to support working with typical geospatial feature data with
 linked attributes and time series in NetCDF.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-ncdf4, r-cran-sp, r-cran-jsonlite, r-cran-rgdal, netcdf-bin
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ncdfgeom_([-\d.]*)\.tar\.gz

## r-cran-ncdfgeom 1.1.1

=== debian/changelog ===
r-cran-ncdfgeom (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Make autopkgtest fail once r-cran-geoknife is available to
    raise some signal when the patch can be dropped

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 07:07:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rnetcdf,
                r-cran-ncmeta,
                r-cran-sf,
                r-cran-dplyr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom.git
 Homepage: https://cran.r-project.org/package=ncdfgeom

## r-cran-ncdfgeom 1.1.3+dfsg

=== debian/changelog ===
r-cran-ncdfgeom (1.1.3+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add more Test-Depends but exclude r-cran-areal
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2022 10:09:36 +0200

## r-cran-ncdfgeom 1.1.4+dfsg

=== DESCRIPTION ===
Package: ncdfgeom
Type: Package
Title: 'NetCDF' Geometry and Time Series
Version: 1.1.4
Date: 2022-11-06
Authors@R: c(person("David", "Blodgett", role = c("aut", "cre"), 
                    email = "dblodgett@usgs.gov"),
             person("Luke", "Winslow", role = "ctb"))
Description: Tools to create time series and geometry 'NetCDF' files.
URL: https://code.usgs.gov/water/ncdfgeom
BugReports: https://github.com/USGS-R/ncdfgeom/issues
Imports: RNetCDF, ncmeta, sf, dplyr, methods, stars
Depends: R (>= 3.5)
Suggests: testthat, knitr, rmarkdown, pkgdown, geoknife, ncdf4,
        jsonlite, areal
License: CC0
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-11-08 19:28:51 UTC; dblodgett
Author: David Blodgett [aut, cre],
  Luke Winslow [ctb]
Maintainer: David Blodgett <dblodgett@usgs.gov>
Repository: CRAN
Date/Publication: 2022-11-08 22:40:02 UTC

=== debian/changelog ===
r-cran-ncdfgeom (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 12:38:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: r-cran-ncdfgeom
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom.git
+Homepage: https://cran.r-project.org/package=ncdfgeom
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rnetcdf,
                r-cran-ncmeta,
                r-cran-sf,
-               r-cran-dplyr
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom.git
-Homepage: https://cran.r-project.org/package=ncdfgeom
-Rules-Requires-Root: no
+               r-cran-dplyr,
+               r-cran-stars
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ncdfgeom
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
            r-cran-knitr,
            r-cran-rmarkdown,
#            r-cran-pkgdown,
            r-cran-geoknife,
            r-cran-ncdf4,
            r-cran-jsonlite,
#            r-cran-areal,
            r-cran-sp, r-cran-jsonlite, r-cran-rgdal, netcdf-bin
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/ncdfgeom_([-\d.]*)\.tar\.gz

## r-cran-ncdfgeom 1.1.5+dfsg

=== DESCRIPTION ===
Package: ncdfgeom
Type: Package
Title: 'NetCDF' Geometry and Time Series
Version: 1.1.5
Authors@R: c(person("David", "Blodgett", role = c("aut", "cre"), 
                    email = "dblodgett@usgs.gov"),
             person("Luke", "Winslow", role = "ctb"))
Description: Tools to create time series and geometry 'NetCDF' files.
URL: https://code.usgs.gov/water/ncdfgeom
BugReports: https://github.com/DOI-USGS/ncdfgeom/issues
Imports: RNetCDF, ncmeta, sf, dplyr, methods, stars
Depends: R (>= 3.5)
Suggests: testthat, knitr, rmarkdown, pkgdown, geoknife, ncdf4,
        jsonlite, areal
License: CC0
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-03-24 21:10:20 UTC; dblodgett
Author: David Blodgett [aut, cre],
  Luke Winslow [ctb]
Maintainer: David Blodgett <dblodgett@usgs.gov>
Repository: CRAN
Date/Publication: 2023-03-24 21:40:02 UTC

=== debian/changelog ===
r-cran-ncdfgeom (1.1.5+dfsg-3) unstable; urgency=medium

  * Packaging update
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 19 Aug 2023 21:54:37 +0200

r-cran-ncdfgeom (1.1.5+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039656

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 15:02:34 +0200

r-cran-ncdfgeom (1.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 11:27:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ncdfgeom.git
 Homepage: https://cran.r-project.org/package=ncdfgeom
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-pkgdown,
        r-cran-geoknife,
        r-cran-ncdf4,
        r-cran-jsonlite,
        netcdf-bin
Restrictions: allow-stderr

## r-cran-ncdfgeom 1.1.6+dfsg

=== DESCRIPTION ===
Package: ncdfgeom
Type: Package
Title: 'NetCDF' Geometry and Time Series
Version: 1.1.6
Authors@R: c(person("David", "Blodgett", role = c("aut", "cre"), 
                    email = "dblodgett@usgs.gov"),
             person("Luke", "Winslow", role = "ctb"))
Description: Tools to create time series and geometry 'NetCDF' files.
URL: https://code.usgs.gov/water/ncdfgeom
BugReports: https://github.com/DOI-USGS/ncdfgeom/issues
Imports: RNetCDF, ncmeta, sf, dplyr, methods, stars, areal
Depends: R (>= 3.5)
Suggests: testthat, knitr, rmarkdown, pkgdown, jsonlite, zip, ncdf4
License: CC0
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-01-24 16:01:58 UTC; dblodgett
Author: David Blodgett [aut, cre],
  Luke Winslow [ctb]
Maintainer: David Blodgett <dblodgett@usgs.gov>
Repository: CRAN
Date/Publication: 2024-01-25 17:20:02 UTC

=== debian/changelog ===
r-cran-ncdfgeom (1.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: r-cran-areal
  * dh-update-R to update Build-Depends (routine-update)
  * Do not exclude test requiring r-cran-areal

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 16:43:58 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
                r-cran-ncmeta,
                r-cran-sf,
                r-cran-dplyr,
-               r-cran-stars
+               r-cran-stars,
+               r-cran-areal
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ncdfgeom

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-pkgdown,
        r-cran-jsonlite,
        r-cran-zip,
        r-cran-ncdf4,
        netcdf-bin
Restrictions: allow-stderr
